lmi2 {sdpt3r} | R Documentation

## Linear Matrix Inequality 2

### Description

`lmi2` creates input for sqlp to solve a linear matrix inequality problem

### Usage

    lmi2(A1, A2, B)

### Arguments

`A1` | An nxm real valued matrix
`A2` | An nxm real valued matrix
`B` | An nxp real valued matrix

### Details

Solves the type-2 linear matrix inequality problem. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    A1 <- matrix(c(-1,0,1,0,-2,1,0,0,-1),3,3)
    A2 <- A1 + 0.1*t(A1)
    B  <- matrix(c(1,3,5,2,4,6),3,2)

    out <- lmi2(A1,A2,B)

[Package sdpt3r version 0.3 Index]